[android-components](../../index.md) / [mozilla.components.feature.push](../index.md) / [PushType](index.md) / [WebPush](./-web-push.md)

# WebPush

`WebPush` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/feature/push/src/main/java/mozilla/components/feature/push/AutoPushFeature.kt#L294)

### Inherited Functions

| Name | Summary |
|---|---|
| [toChannelId](to-channel-id.md) | `fun toChannelId(): `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)<br>Retrieve a channel ID from the PushType. |
